<?php

//TODO NO ES NECESARIO REINICIAR SESION
//session_start();
//$FileImput = file_get_contents ('php://input');
  //$usuario =  $_SESSION["codigo"];
  //$usuario = json_decode($FileImput);
   //$usuario =  "RAP";
   if( isset( $_COOKIE['codigoCliente']) )
   {
		$usuario = $_COOKIE["codigoCliente"];
   }
   else
   {
		$usuario =  $_SESSION["codigo"];
   }	   
   
   require_once 'funciones_resdis.php';
   $resdis = new funciones_BDResdis();
    $resultado = $resdis->fechaProduccionObrador($registros[]); 
    
    foreach ($registros as $fechas) 
    {
      
      foreach ($fechas as $fecha)
      {
          if (isset($fecha->FECPEDIDO )) {
               $dia = $fecha->fec_preparacion;
               echo "<div data-role='collapsible'>";   
	       echo "<h3>$fecha->fec_preparacion</h3>";
				unset ($reg2);
               $res2 = $db->pedidosDelDia($usuario,$dia,$reg2[]);

               foreach ($reg2 as $pedidos)
               {
                   foreach ($pedidos as $pedido )
                   {
                     if(isset($pedido->NUMPEDIDO)){  
                      echo "<div data-role='collapsible'>";   
							echo "<h3>$pedido->NUMPEDIDO</h3>";
                      $numeroPedido = $pedido->NUMPEDIDO;
					  unset ($reg3);
                      $res3 = $db->detallePedido ($usuario, $numeroPedido,$reg3[]);
                      foreach ($reg3 as $detalles)
                      {
                         echo "<table>";
                         foreach ($detalles as $detalle )
                         {
							 if(isset($detalle->CANTIDAD)){
                             echo "<tr>";
									 echo "<td>$detalle->CANTIDAD</td>";
									 echo "<td>$detalle->DESCART</td>";
									 echo "<td>$detalle->OBS</td>";
                             echo "</tr>";
							 }
                         } 
                         echo "</table>";
                      }   

                      echo "</div>";
                    } 
                   }
	        }
              echo "</div>";
         }
      }
    }
	
	
	
?>
